Create Pay Out RequestCopy Pagepost https://openapi.sandbox.xenithpay.com/v1/payoutsYou can use this endpoint to create a Pay Out request.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body ParamsinitiatedAmountnumberrequiredRequested amount of the transaction in the actual value in the provided currency.currencystringrequiredISO 4217 three-letter code of the transaction's currency.destinationPayoutMethodstringrequiredPayment method for this transaction. List of supported methods can be found here.destinationPayoutChannelstringrequiredPayment channel for this transaction. List of supported channels can be found here.destinationPayoutAccountstringrequiredAccount number of destination.destinationPayoutAccountNamestringrequiredAccount holder name as per bank records. Must match the registered account name exactly.referenceCodestringrequiredMerchant-provided identifier for this transaction.customerReferencestringrequiredMerchant-provided identifier of the Customer for this transaction.descriptionstringFree-text field for any additional information.callbackUrlstringrequiredYour webhook URL to receive transaction notifications.metadataobjectMetadata required for payouts calls in INR currency. This object must contain specific IFSC Code for processing the transaction. Metadata required for payouts calls in JPY currency. This object must contain bankBranchName for processing the transaction.metadata objectHeadersContent-TypestringrequiredSpecifies the format of the request body (JSON).Xenith-Api-KeystringrequiredAPI Key will be delivered to you by emailXenith-Request-TimestampstringrequiredISO 8601 date time format, should be in (UTC+0)Xenith-Request-SignaturestringrequiredRefer to page Build Signature and Set Headers for instructions on how to build a signatureX-Idempotency-KeystringrequiredA unique key to prevent duplicate requests. Must be unique across all payout transactions for the merchant. Max 100 characters.Responses 201Successfully creating pay out request 400Payout creation failed due to failing request validation. See the Create Pay Out Errors dictionary for more detail. 422(no retry) There are insufficient funds to complete the payout transaction. Ensure your account has adequate balance before retrying the payout. See the Create Pay Out Errors dictionary for more detail. 500An unexpected server error occurred. Wait briefly and retry. If the error persists after multiple attempts, contact support. Retrying is safe for this GET operation. See the Create Pay Out Errors dictionary for more detail.CallbackpayoutCallbackpost{$request.requestBody.callbackUrl}Updated 27 days ago